TravisCI: allow failing on PHP 7.3 + clang

Because clang hasn't supported 'asm goto' yet
Issue #1477
Issue #1477
Issue #1477
Merge pull request #1478 from phpredis/issue.1477

Issue #1477
Issue #1477: lzf_compress margin compatibility
Issue #1477: lzf_compress margin compatibility
Issue #1477: lzf_compress margin compatibility
Merge pull request #1483 from jrchamp/issue.1477compat

Issue #1477: lzf_compress margin compatibility
